/////////////////////////////////////////////////////////////////////
//	BCA_Lib TvR[h 
/////////////////////////////////////////////////////////////////////
//	MTv (R[obNI/F)
/////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include <string.h>
#include <windows.h>
#include "AntCallbackInterface.h"

//
//	MR[obN֐
//
void RecvFunc(void* dev, unsigned char channel, unsigned char event, void* data, unsigned int length, void* cookie)
{
	unsigned char* dat = (unsigned char*)data;
	printf("AntDeviceEx::receiveData(%d)[%02X][%02X][%02X][%02X][%02X][%02X][%02X][%02X]\n", channel, dat[0], dat[1], dat[2], dat[3], dat[4], dat[5], dat[6], dat[7]);
}
//
//	main
//
int _tmain(int argc, _TCHAR* argv[])
{
	void* dev = NULL;
	int res = 0;
	//	ANTfoCX̃I[v
	dev = BCA_OpenDevice(0);
	if (!dev) {
		printf("BCA_OpenDevice ERROR:%d\n", res);
		goto end;
	}
	//	ANTfoCX̏
	res = BCA_Init(dev);
	if (res != BCA_OK) {
		printf("BCA_Init ERROR:%d\n", res);
		goto end;
	}
	//	MR[obN֐̓o^
	BCA_RegisterReceiveFunc(dev, RecvFunc, NULL);
	//	 `l̃I[v
	res = BCA_OpenChannel(dev,						//	device
						  0,						//	channel no
						  BCA_CHANNEL_TYPE_SLAVE,	//	channel type
						  BCA_CHANNEL_NOSHARED,//	shared channel
						  33,						//	device no
						  0,						//	device type
						  0,						//	trans type
						  66,						//	freq
						  4.0);						//	hz
	if (res != BCA_OK) {
		printf("BCA_OpenChannel ERROR:%d\n", res);
		goto end;
	}
	// 
	//	M...
	// 
	Sleep(1000 * 60);

	//	`l̃N[Y
	res = BCA_CloseChannel(dev, 0); 
end:
	//	foCX̃N[Y
	res = BCA_CloseDevice(dev);

	return 0;
}

